//
//  PreferenceTodoConst.h
//

#import <Cocoa/Cocoa.h>

OSStatus	MyLaunchApplicationByCreator (	OSType		creatorType );

extern int myDebug;

extern NSString* TodoScreenLocationKey;
extern NSString* TodoPriorityColorsKey;
extern NSString* TodoPriorityTextKey;
extern NSString* TodoWindowLayerKey;
extern NSString* TodoTransparencyKey;
extern NSString* TodoFadeKey;
extern NSString* TodoFirstTimeKey;
extern NSString* TodoDateFormatKey;// = @"TodoDateFormatKey";

extern NSString* TodoCalSizeKey;// = @"TodoCalSizeKey";	// Height of the Cal area (0 = disabled).
extern NSString* TodoCalNumKey;// = @"TodoCalNumKey";		// 1 or 2 - # of calendars.
extern NSString* TodoCalDayOfWeekKey;// = @"TodoCalDayOfWeekKey";
extern NSString* TodoCalShowWeekKey;// = @"TodoCalShowWeekKey";
extern NSString* TodoCalShowGridKey;// = @"TodoCalShowGridKey";
extern NSString* TodoCalDrawFrameKey;// = @"TodoCalDrawFrameKey";
extern NSString* TodoDeleteConfirmKey;// = @"TodoDeleteConfirmKey";
extern NSString* TodoAudoShowDrawerKey;// = @"TodoAudoShowDrawerKey";
extern NSString* TodoHideOnDeactivateKey;// = @"TodoHideOnDeactivateKey";
extern NSString* TodoArchiveOptionsKey;// = @"TodoArchiveOptionsKey";
extern NSString* TodotwoLineModeKey;// = @"TodotwoLineModeKey";

extern NSString* TodoPreferencesChanged;

// Calq 
extern NSString* CalqScreenLocationKey;
extern NSString* CalqTransparencyKey;
extern NSString* CalqHideDelayKey;
//extern NSString* CalqActivationKeyKey;
//extern NSString* CalqActivationStringKey;
//extern NSString* CalqActivationModifiersKey;
extern NSString* CalqPreferencesChanged;
extern NSString* CalqFirstTimeKey;
extern NSString* CalqClearOnHideKey;
extern NSString* CalqShowMenuIconKey;
extern NSString* CalqStandardCalculationsKey;
extern NSString* CalqHideKeyKey;
extern NSString* CalqClearKeyKey;
extern NSString* CalqLockKeyKey;
//extern NSString* CalqQuitKeyKey;
extern NSString* CalqGetMemoryKeyKey;
extern NSString* CalqStoreMemoryKeyKey;
extern NSString* CalqClearMemoryKeyKey;
extern NSString* CalqFadeKey;
extern NSString* CalqHideOnCopyKey;
extern NSString* CalqCalculateImmediatelyKey;

extern const int kEmptyTag;
extern const int kEscapeTag;
extern const int kClearTag;
extern const int kDelete;

extern const int kFadeNever;
extern const int kFadeOnShow;
extern const int kFadeOnHide;
extern const int kFadeAlways;
